package src;

import javax.swing.JOptionPane;


// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.D232AF5D-764F-5246-698D-29E05A5192F4]
// </editor-fold> 
public class IngresoReintegro extends Movimientos
{
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.FDB00D86-D84C-0EFD-97CB-3E66D7E075EF]
    // </editor-fold> 
    public IngresoReintegro ()
    {
    }

    public boolean ingresoreintegro (Cuentas c, float imp)
    {
        boolean i=true;
       
        if(imp>0)
     {
      float s= c.getSaldo_cuenta();
      s=s+imp;
      c.setSaldo_cuenta(s);
     }
        else   if(c.getSaldo_cuenta()>0 && imp<0 && c.getSaldo_cuenta()>Math.abs(imp))
     {
      float s= c.getSaldo_cuenta();
      s=s+imp;
      c.setSaldo_cuenta(s);
     }
        else {
            i=false;
        }
        return i;
    }

}

